| Home | Libraries | People | FAQ | More

## Struct template weighted_covariance

boost::accumulators::tag::weighted_covariance

## Synopsis

    // In header: <boost/accumulators/statistics/weighted_covariance.hpp>

    template<typename VariateType, typename VariateTag>
    struct weighted_covariance : public boost::accumulators::depends_on< count, sum_of_weights, weighted_mean, weighted_mean_of_variates< VariateType, VariateTag > >
    {
      // types
      typedef accumulators::impl::weighted_covariance_impl< mpl::_1, mpl::_2, VariateType, VariateTag > impl;
    };